Bug 21127 - Remove jqTransform jQuery plugin from the OPAC
Summary: Remove jqTransform jQuery plugin from the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 12233
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-27 12:30 UTC by Owen Leonard
Modified: 2018-09-24 09:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21127: Remove jqTransform jQuery plugin from the OPAC (19.64 KB, patch)
2018-07-27 12:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21127: Remove jqTransform jQuery plugin from the OPAC (19.70 KB, patch)
2018-09-05 23:27 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 21127: Remove jqTransform jQuery plugin from the OPAC (19.79 KB, patch)
2018-09-14 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-07-27 12:30:47 UTC
The jqTransform jQuery plugin was added for the CCSR theme, which is long gone. It can be safely removed.
Comment 1 Owen Leonard 2018-07-27 12:49:05 UTC
Created attachment 77305 [details] [review]
Bug 21127: Remove jqTransform jQuery plugin from the OPAC

This patch removes the jqTransform jQuery plugin from the OPAC. It was
added for the CCSR theme, which no longer exists.

http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=c7c2e9efbde273f2b77786316b7502a8847072bd

There will be no visible changes to the OPAC after applying the patch.
Search the Koha codebase for references to jqTransform and confirm that
none exist.
Comment 2 M. Tompsett 2018-09-05 23:27:35 UTC
Created attachment 78450 [details] [review]
Bug 21127: Remove jqTransform jQuery plugin from the OPAC

This patch removes the jqTransform jQuery plugin from the OPAC. It was
added for the CCSR theme, which no longer exists.

http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=c7c2e9efbde273f2b77786316b7502a8847072bd

There will be no visible changes to the OPAC after applying the patch.
Search the Koha codebase for references to jqTransform and confirm that
none exist.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2018-09-14 09:41:39 UTC
Created attachment 78643 [details] [review]
Bug 21127: Remove jqTransform jQuery plugin from the OPAC

This patch removes the jqTransform jQuery plugin from the OPAC. It was
added for the CCSR theme, which no longer exists.

http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=c7c2e9efbde273f2b77786316b7502a8847072bd

There will be no visible changes to the OPAC after applying the patch.
Search the Koha codebase for references to jqTransform and confirm that
none exist.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-09-14 19:56:24 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-09-17 13:31:55 UTC
Pushed to 18.05.x for 18.05.04.

Go cleanup crew :)
Comment 6 Fridolin SOMERS 2018-09-24 09:42:50 UTC
Pushed to 17.11.x for 17.11.10